> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read sent requests



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml get /requests
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /requests:
    get:
      tags:
        - status
      summary: Read sent requests
      parameters:
        - name: dates
          in: query
          required: true
          description: Dates in format YYYY-MM-DD separated by comma
          schema:
            type: string
            example: 2025-01-01,2025-01-02
      responses:
        '200':
          description: Information about the requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  requests:
                    type: array
                    description: Array of requests.
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          description: Date in format YYYY-MM-DD.
                        stats:
                          type: object
                          description: Stats for the request.
                          properties:
                            count_delivered:
                              type: integer
                              description: Number of delivered messages.
                            count_nondelivered:
                              type: integer
                              description: Number of non-delivered messages.
                            count_sent:
                              type: integer
                              description: Number of sent messages.
                            count_notsent:
                              type: integer
                              description: Number of not sent messages.
                            msg_sent:
                              type: integer
                              description: Number of messages sent.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: false
                  message:
                    type: string
                    description: Error message.
                    example: Failed to whatsapp registration
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````